JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Functions
juce_PixelFormats.h File Reference

## Classes
class | PixelARGB
| Represents a 32-bit INTERNAL pixel with premultiplied alpha, and can perform compositing operations with it. More...
class | PixelRGB
| Represents a 24-bit RGB pixel, and can perform compositing operations on it. More...
class | PixelAlpha
| Represents an 8-bit single-channel pixel, and can perform compositing operations on it. More...

## Functions
uint32 | maskPixelComponents (uint32 x) noexcept
uint32 | clampPixelComponents (uint32 x) noexcept